import unittest
from calculator import Calculator

class TestCalculator(unittest.TestCase):
    """Testfälle für den Taschenrechner"""
    
    def setUp(self):
        """Vor jedem Test wird eine neue Instanz von Calculator erstellt"""
        self.calc = Calculator()

    def test_addition(self):
        """Testfälle für die Addition"""
        self.assertEqual(self.calc.add(2, 3), 5)
        self.assertEqual(self.calc.add(-1, 1), 0)
        self.assertEqual(self.calc.add(0, 0), 0)
        self.assertEqual(self.calc.add(3, 4.5), 7.5)

    def test_subtraction(self):
        """Testfälle für die Subtraktion"""
        self.assertEqual(self.calc.sub(5, 3), 2)
        self.assertEqual(self.calc.sub(10, 20), -10)
        self.assertEqual(self.calc.sub(0, 0), 0)

if __name__ == '__main__':
    unittest.main()
